Bug 272581 - Update problem with generated scalars
Summary: Update problem with generated scalars
Status: RESOLVED FIXED
Alias: None
Product: kst
Classification: Applications
Component: general (show other bugs)
Version: 2.0.3
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: 2.0.4
Assignee: kst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-06 00:08 UTC by Nicolas Brisset
Modified: 2018-09-10 12:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Brisset 2011-05-06 00:08:32 UTC
Version:           2.0.3
OS:                Linux

Sometimes, updates are missed. For example with an equation using a generated scalar.

Reproducible: Always

Steps to Reproduce:
- Load CStk from TWIN1xxx
- Create an equation like [CStk (V2)]-[offset (X83)] where offset is a generated salar set to some value (e.g. 10)
- Change the value of offset from the data manager 

Actual Results:  
The curve does not update. Double-click the equation and hit OK => the update comes.

Expected Results:  
The curve should update when the scalar is changed.
Comment 1 Netterfield 2011-05-16 17:40:06 UTC
SVN commit 1232275 by netterfield:

BUG: 272581
Fix a rather severe logic bug in the update system.  Seems correct now, but lets keep an eye on it.

Also fix some formatting and layout issues.



 M  +3 -3      libkst/datamatrix.cpp  
 M  +1 -1      libkst/datamatrix.h  
 M  +2 -2      libkst/datascalar.cpp  
 M  +1 -1      libkst/datascalar.h  
 M  +1 -1      libkst/datasource.h  
 M  +2 -2      libkst/datastring.cpp  
 M  +1 -1      libkst/datastring.h  
 M  +2 -2      libkst/datavector.cpp  
 M  +1 -1      libkst/datavector.h  
 M  +1 -1      libkst/object.cpp  
 M  +2 -1      libkst/object.h  
 M  +3 -3      libkst/primitive.cpp  
 M  +1 -1      libkst/primitive.h  
 M  +2 -2      libkst/vscalar.cpp  
 M  +1 -1      libkst/vscalar.h  
 M  +18 -4     libkstapp/curvetab.ui  
 M  +7 -7      libkstmath/dataobject.cpp  
 M  +1 -1      libkstmath/dataobject.h  
 M  +8 -7      libkstmath/equation.cpp  
 M  +1 -1      libkstmath/equation.h  
 M  +7 -8      libkstmath/relation.cpp  
 M  +1 -1      libkstmath/relation.h  
 M  +2 -1      widgets/curveappearance.cpp  
 M  +144 -119  widgets/curveappearance.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1232275